/**
 * SkeletonCart
 * (c) 2017-2023 Juxtaposition Inc. All Rights Reserved.
 * (c) 2017-2023 Curlybracket, Inc. All Rights Reserved.
 * This code cannot be redistributed without permission from the copyright holder.
 * For more information, consult your SkeletonCart license.
 **/
$(function () {
    function doAction($button) {
        var $form = $button.parents('form');
        if ($form.length == 0) {
            $form = $('form.action');
            if ($form.length == 0) {
                return false;
            }
        }
        if($form.attr('id') == 'checkout_form') {
            if(!confirmDeliverAnotherAddress()) {
                return false;
            }
        }
        $form.attr('action', $button.data('action'));
        var index = $button.data('index');
        if (typeof index !== "undefined") {
            $('input[name="index"]', $form).val(index);
        }
        $button.attr('disabled', 'disabled');
        $form.submit();
    }

    $('.button.action').click(function () {
        doAction($(this));
        return false;
    });

    $('input:not(.allow_submit)').on('keypress', function (e) {
        return e.which !== 13;
    });

    function isAnotherAddressEmpty() {
        if($('input[name="delivery_name"]').val()) {
            return false;
        }
        else if($('input[name="delivery_post"]').val()) {
            return false;
        }
        else if($('select[name="delivery_prefecture"]').val()) {
            return false;
        }
        else if($('input[name="delivery_city"]').val()) {
            return false;
        }
        else if($('input[name="delivery_address1"]').val()) {
            return false;
        }
        else if($('input[name="delivery_tel"]').val()) {
            return false;
        }
        return true;
    }

    function confirmDeliverAnotherAddress() {
        var deliverAnother = $('input[name="delivery_flg"]').prop('checked');
        var empty = isAnotherAddressEmpty();
        if(!deliverAnother && !empty) {
            alert('ご注文者さまと別の住所への送付を希望される場合、「別の住所へ送付する」にチェックを入れてください。');
            return false;
        }
        return true;
    }

    // 配送日をカレンダー形式で表示する
    if(typeof flatpickr !== 'undefined') {
        $('.flatpickr').flatpickr({
            locale:'ja',
            wrap: true,
            disableMobile: true
        });
    }
});

