<?php

return array(

// ■■初期設定■■

// 送信されるメール（受注・購入者宛）の件名に注文IDを付加するか否かを設定してください
// 0：付加しない、1：付加する
// ※付加しない場合、以降で設定する件名への受注番号記載の設定は無効となります
    'email_subject_include_order_id' => '1',

// 受注メールの件名設定
// メールの件名に「受注番号」を記載する場合、該当箇所に %s を入れてください
// 件名に受注番号が不要の際は、該当箇所を削除して問題ありません
    'email_admin_subject' => '【%s】注文を受け付けました',

// 受注メール（サイト運営者側が受信するメール）に記載される内容を設定してください
// 複数のメールアドレスを記載する際は「,」で続けて記載してください
// その場合、マルチバイトは利用できませんのでご留意ください　例）admin-1@example.com,admin-2@example.com
    'email_admin_to' => 'ジャクスタポジション <admin@example.com>',  // 受信アドレス
    'email_admin_from' => 'ジャクスタポジション <admin@example.com>',  // 送信者アドレス
    'email_admin_reply' => 'ジャクスタポジション <admin@example.com>',  // 返信先アドレス

// 受注メール受信時、その返信先を「購入者メールアドレス」にするか否かを設定してください
// 0：上記で設定した返信先アドレス、1：購入者アドレス
    'email_admin_reply_to_user' => '1',

// 購入者宛の自動返信メール（購入控え等）を送信する場合は「1」、しない場合は「0」を記載してください
    'email_send_copy_to_user' => '1',

// 購入者宛の自動返信メールの件名設定
// メールの件名に「受注番号」を記載する場合、受注メールと同様に該当箇所に %s を入れてください
    'email_user_subject' => 'ご注文ありがとうございます',

// 購入者宛の自動返信メールのアドレス設定
    'email_user_from' => 'ジャクスタポジション <admin@example.com>',  // 送信者アドレス
    'email_user_reply' => 'ジャクスタポジション <admin@example.com>',  // 返信先アドレス

// 商品情報（商品IDと商品名・価格）を記載したCSVの格納ディレクトリとファイル名を記載してください
// 「index.php」から見た相対パスで記載してください
    'item_filename' => 'data/item.dat',

// 商品情報（item.dat）で異なるグループIDを設定している商品を同時に購入できるか否か設定してください
// グループ毎に発送方法が異なる場合（通常発送とクール便発送）などにご利用ください
// 0：購入可、1：購入不可
    'same_group_id_only' => '1',

// 消費税率を%で設定してください（内税の場合は'0'）
    'tax_rate' => '10',

// 送料無料となる価格について、
// 内税の場合は「税込価格」を、外税の場合は「税別価格（＝商品代金）」を設定してください
// 全国一律送料無料の場合は、「'0'」としてください（その場合、「都道府県別送料設定」は無効となります）
// 送料無料設定が不要な場合は、空欄（''）にしてください
    'free_delivery_price' => '10000',

// 都道府県別の送料を設定してください
// 順序は固定されているので、変更しないでください
    'pref_postage' => array(
        '0',
        '1100', //  1:北海道
        '1100', //  2:青森県
        '1100', //  3:岩手県
        '1100', //  4:宮城県
        '1100', //  5:秋田県
        '1100', //  6:山形県
        '1100', //  7:福島県
        '1100', //  8:茨城県
        '1100', //  9:栃木県
        '1100', // 10:群馬県
        '1100', // 11:埼玉県
        '1100', // 12:千葉県
        '1100', // 13:東京都
        '1100', // 14:神奈川県
        '1100', // 15:新潟県
        '1100', // 16:富山県
        '1100', // 17:石川県
        '1100', // 18:福井県
        '1100', // 19:山梨県
        '1100', // 20:長野県
        '1100', // 21:岐阜県
        '1100', // 22:静岡県
        '1100', // 23:愛知県
        '1100', // 24:三重県
        '1100', // 25:滋賀県
        '1100', // 26:京都府
        '1100', // 27:大阪府
        '1100', // 28:兵庫県
        '1100', // 29:奈良県
        '1100', // 30:和歌山県
        '1100', // 31:鳥取県
        '1100', // 32:島根県
        '1100', // 33:岡山県
        '1100', // 34:広島県
        '1100', // 35:山口県
        '1100', // 36:徳島県
        '1100', // 37:香川県
        '1100', // 38:愛媛県
        '1100', // 39:高知県
        '1100', // 40:福岡県
        '1100', // 41:佐賀県
        '1100', // 42:長崎県
        '1100', // 43:熊本県
        '1100', // 44:大分県
        '1100', // 45:宮崎県
        '1100', // 46:鹿児島県
        '1100'  // 47:沖縄県
    ),

// 決済方法ごとの購入完了画面処理番号,決済方法ラベル,手数料,種別を設定してください
// 1.銀行振込～5.Paypalまでは初期設定で必要になっているので順番など変更しないでください
// ・使用しない支払方法がある場合は、HTML上で該当箇所を削除してください
// ・追加したい支払方法がある場合は、以下にならって「6」以降をご利用ください（設定数に上限はありません）
//┌ NOTICE ──────────────────────────────────────────┐
//｜ SKELETON CARTでは、支払方法で「代金引換」を選択した場合、「別の住所へ配送する」を使用すると｜
//｜ 内容確認時にエラーが表示されます（代金引換で注文者と別の住所へ送ることを防ぐため）　　 　　｜
//｜ その判定は「種別」で判断していますが、代引であっても他の住所へ送る事を許可する場合、　　　 ｜
//｜ 他の決済方法と同様に「0」を設定してください　　　　　　　　　　　　　　　　　　　　　　　　｜
//└──────────────────────────────────────────────┘
    'payment_way' => array(
        0 => '',
        1 => '銀行振込,0,0',            // 完了画面処理:1
        2 => '郵便振替,0,0',            // 完了画面処理:2
        3 => '代金引換,330,1',          // 完了画面処理:3
        4 => 'クレジットカード,440,0',   // 完了画面処理:4
        5 => 'Paypal,550,0',           // 完了画面処理:5
    ),
// デフォルトの決済方法を指定します。
    'default_payment_way' => 1,

// ■■在庫に関する機能の設定■■
// 在庫数設定機能を利用するか否かを設定してください
// 0：利用しない、1：利用する
// ※使用する場合、item.datの「第5引数」が在庫数としてカウントされます
// ・注文を受け付けた時、注文数分をその時点での在庫数から減算します（在庫数以上の注文は受け付けません）
// ・在庫数が「0」になった時点でその商品をカートへ追加出来なくなります（追加する際にエラーが表示されます）
// ・第5引数が「空欄」の場合、「0」とみなされます
    'item_amount_use_sw' => '0',

// ■■重量制限に関する機能の設定■■
// 一度に注文できる商品の総重量を制限するか否かを設定してください
// 制限を行う場合は重量をグラム単位で記載してください（例　30kgを超えた場合、エラーを表示：'item_weight_max' => '30000'）
// 本機能を利用しない場合は、空欄にしてください
    'item_weight_max' => '',

// ■■商品情報（オプション項目）の設定■■
// 商品情報で使用するオプション項目のラベルを設定してください（最大で30個までご利用いただけます）
// 主に「カートの中身」で使用します（HTML上での使用方法はサンプルHTMLを参考にしてください）
// 使用しない場合は空欄にしてください
    'cart_item_opt1_label' => '商品画像',
    'cart_item_opt2_label' => 'サイズ',
    'cart_item_opt3_label' => 'カラー',
    'cart_item_opt4_label' => '',
    'cart_item_opt5_label' => '',
    'cart_item_opt6_label' => '',
    'cart_item_opt7_label' => '',
    'cart_item_opt8_label' => '',
    'cart_item_opt9_label' => '',
    'cart_item_opt10_label' => '',
    'cart_item_opt30_label' => '戻り先URL',

// ■■注文者情報入力欄の設定■■
// 注文者情報入力欄で使用する項目の「必須・任意」と「最大文字数」を設定できます
// 必須項目は「1」、任意項目は「0」としてください
// 入力項目に文字数制限を行う場合は、続けて「,50」等と設定してください（空白の場合は制限なし）
// ・必須項目で文字数制限が50バイト（全角25文字）　→　'1,50'
// ・任意項目で文字数制限が50バイト（全角25文字）　→　'0,50'
// ・必須項目で文字数制限が不要の場合　　　　　　　→　'1'
// 空欄の場合、全て「任意項目」「文字数制限なし」として扱われます
    'input_check' => array(
        'slip_user_name' => '1', // 名前
        'slip_user_name_sei' => '0', // 名前（姓）
        'slip_user_name_mei' => '0', // 名前（名）
        'slip_user_name_kana' => '1', // フリガナ
        'slip_user_name_sei_kana' => '0', // フリガナ（姓）
        'slip_user_name_mei_kana' => '0', // フリガナ（名）
        'slip_user_post' => '1', // 郵便番号
        'slip_user_prefecture' => '1', // 都道府県
        'slip_user_city' => '1', // 市区町村
        'slip_user_address1' => '1', // 住所詳細：1
        'slip_user_address2' => '0', // 住所詳細：2
        'slip_user_tel' => '1', // 電話番号
        'slip_user_fax' => '0', // FAX番号
        'slip_user_mail' => '1', // メールアドレス

        'slip_payment_way' => '1', // 支払方法
        'slip_delivery_date_mon' => '0', // 配送指定：月
        'slip_delivery_date_day' => '0', // 配送指定：日
        'slip_delivery_date' => '0', // 配送指定日
        'slip_delivery_time_category' => '0', // 配送指定：時間

        'slip_memo' => '0', // その他連絡事項
    ),

// 注文者情報入力欄で使用するオプション項目のラベルを設定してください（最大で10個までご利用いただけます）
// 主に「内容確認（エラー画面）」で使用します（HTML上での使用方法はサンプルHTMLを参考にしてください）
// 使用しない場合は空欄にしてください
    'slip_user_opt1_label' => '性別',
    'slip_user_opt2_label' => '',
    'slip_user_opt3_label' => '',
    'slip_user_opt4_label' => '',
    'slip_user_opt5_label' => '',
    'slip_user_opt6_label' => '',
    'slip_user_opt7_label' => '',
    'slip_user_opt8_label' => '',
    'slip_user_opt9_label' => '',
    'slip_user_opt10_label' => '',

// 注文者情報オプション項目の「必須・任意」と「最大文字数」を設定できます
// 設定方法は「注文者情報入力欄」と同様です
    'input_check_user_option' => array(
        'slip_user_opt1' => '0', // オプション項目：1（以降10まで）
        'slip_user_opt2' => '0',
        'slip_user_opt3' => '0',
        'slip_user_opt4' => '0',
        'slip_user_opt5' => '0',
        'slip_user_opt6' => '0',
        'slip_user_opt7' => '0',
        'slip_user_opt8' => '0',
        'slip_user_opt9' => '0',
        'slip_user_opt10' => '0',
    ),

// ■■配送先情報入力欄の設定■■
// 配送先情報入力欄で使用する項目の「必須・任意」と「最大文字数」を設定できます
// 設定方法は「注文者情報入力欄」と同様です
// ※配送先情報の必須項目は「別の住所へ配送する」にチェックが入っている場合のみ有効になります
    'input_check_delivery' => array(
        'slip_delivery_name' => '1', // 名前
        'slip_delivery_post' => '1', // 郵便番号
        'slip_delivery_prefecture' => '1', // 都道府県
        'slip_delivery_city' => '1', // 市区町村
        'slip_delivery_address1' => '1', // 住所詳細：1
        'slip_delivery_address2' => '0', // 住所詳細：2
        'slip_delivery_tel' => '1', // 電話番号
    ),

// 配送先情報入力欄で使用するオプション項目のラベルを設定してください（最大で10個までご利用いただけます）
// 主に「内容確認（エラー画面）」で使用します（HTML上での使用方法はサンプルHTMLを参考にしてください）
// 使用しない場合は空欄にしてください
    'slip_delivery_opt1_label' => 'ギフト包装',
    'slip_delivery_opt2_label' => '',
    'slip_delivery_opt3_label' => '',
    'slip_delivery_opt4_label' => '',
    'slip_delivery_opt5_label' => '',
    'slip_delivery_opt6_label' => '',
    'slip_delivery_opt7_label' => '',
    'slip_delivery_opt8_label' => '',
    'slip_delivery_opt9_label' => '',
    'slip_delivery_opt10_label' => '',

// 配送先情報オプション項目の「必須・任意」と「最大文字数」を設定できます
// 設定方法は「注文者情報入力欄」と同様です
    'input_check_delivery_option' => array(
        'slip_delivery_opt1' => '1', // オプション項目：1（以降10まで）
        'slip_delivery_opt2' => '0',
        'slip_delivery_opt3' => '0',
        'slip_delivery_opt4' => '0',
        'slip_delivery_opt5' => '0',
        'slip_delivery_opt6' => '0',
        'slip_delivery_opt7' => '0',
        'slip_delivery_opt8' => '0',
        'slip_delivery_opt9' => '0',
        'slip_delivery_opt10' => '0',
    ),

// ■■購入完了画面の設定■■
// クロネコWebコレクト等の利用時、完了画面HTMLテンプレートだけを別の文字コードに変更する必要がある場合に利用してください
// 完了画面では、フォームで入力された情報がここで設定した文字コードに変換され、データ送信時の文字化けを防止出来ます
// 'comp_page_charset' => 'Shift_JIS',
    'comp_page_charset' => 'UTF-8',

// フォームで入力される電話番号について、完了画面でそのハイフンを消すか残すかを設定出来ます
// カード決済サービス等でハイフンを削除してデータ送信する必要がある場合に利用してください
// （「000-0000-0000」等を「00000000000」に変更して出力します）
// ハイフンを消す場合は「1」を記載してください
    'comp_page_use_tel_hyphen' => '0',

//終了画面のURL（index.phpが格納されているパスで指定して下さい）
    'comp_page_url' => '',

// ■■システム・テンプレートの設定■■
// HTMLテンプレート（_tpl_cart.html等）の格納場所を変更する場合は、そのディレクトリ名を記載してください
// 「index.php」から見た相対パスで記載してください
    'template_dir' => 'templates',

// 設置サイトID番号
    'cart_item_site_id' => '',

// ────────────────────────────────────────────────────
// メンテナンスモードほかの設定
// ─────────────────────────────────────────────────────
// 以下の項目は通常は使用しません。
// メンテナンス（在庫調整や価格変更等）を実施する際や、
// 動作に不具合と思われる点があった場合などにご利用ください。
// ─────────────────────────────────────────────────────
//
// カートをメンテナンスモードにする場合は 1 を、しない場合は 0 を設定します。
// 1 を設定していても、開始日時以前あるいは終了日時以降にアクセスした場合は通常モードになります。
    'maintenance_mode' => 0,

// メンテナンスモードの開始日時を指定します。
    'maintenance_time_start' => '2017-04-01 00:00:00',

// メンテナンスモードのか終了日時を指定します。
    'maintenance_time_end' => '2027-04-01 04:00:00',

// カートリビジョン
// 商品を廃盤にしたり、価格を改定した等、現在のカート内の商品を無効にしたい場合、
// 以下に指定する数値を増やすことで全てのカートを空にできます。
    'cart_revision' => 1,

// 無効にするプラグイン TRUEで無効
    'disabled_plugins' => array(
        //	'TestPlugin' => TRUE,
    ),

// 各種ログ設定
// エラー状況などのログを取る場合は、'log_file' にログファイルまでのパスを設定してください。
// ログを保存しない場合は空文字('')を設定してください。
// ※ログ保存時のデフォルト設定 → 'log_file' => 'logs/app.log',
    'log_file' => '',

// また、ログファイルに注文情報もあわせて保存する場合は 1 を、保存しない場合は 0 を指定してください。
// ＜ご留意ください＞
// 注文情報をログに保存する場合、ブラウザなどからログファイルにアクセスできないように、
// パッケージに含まれる.htaccessを利用する、またはログファイルを外部からアクセスできないディレクトリに保存するなど対応してください。
    'log_order' => 0,

// 以下で保存するログファイルの最大数を設定できます。
    'max_log_files' => 14,

// ログに保存するメッセージのレベルを設定します。'INFO' または 'DEBUG' を指定してください。
    'log_level' => 'INFO',

// APIアクセスを許可するサイト
// 例）'allowed_origin' => 'https://www.example.com',
    'allowed_origin' => '',

// sendmail コマンドと引数の変更
// ご利用のサーバーによっては、購入完了画面が「504 Gateway Time-out」などとなり、動作しない場合があります。
// そのような場合、以下の // を削除してsendmailコマンドを有効化してください。
//    'sendmail_command' => '/usr/sbin/sendmail -t -i',

// メール文字コード
// デフォルトは'iso-2022-jp'です。'utf-8'を使用する場合は、行頭の // を削除してください。
    // 'mail_charset' => 'utf-8',

// SMTPサーバ設定
// メールの送信にSMTPサーバを使用する場合は、以下の各値を指定し、 行頭の // を削除してください。
    // 'smtp_server' => array(
    //     'host' => 'smtp.example.com',
    //     'port' => 587,
    //     'username' => '',
    //     'password' => '',
    //     'encryption' => '', // 'tls' または 'ssl'
    // ),

// カートを表示するパス
// デフォルトの'/cart'から変更する場合のみ設定してください。
//    'cart_path' => '/cart',

// チェックアウト画面を表示するパス
// デフォルトの'/checkout'から変更する場合のみ設定してください。
//    'checkout_path' => '/checkout',

// 日付のフォーマット
//    'date_format' => 'Y-m-d',
);

