<?php
/**
 * SkeletonCart
 * (c) 2017-2023 Juxtaposition Inc. All Rights Reserved.
 * (c) 2017-2023 Curlybracket, Inc. All Rights Reserved.
 * This code cannot be redistributed without permission from the copyright holder.
 * For more information, consult your SkeletonCart license.
 **/

namespace App;

use Monolog\Formatter\LineFormatter;
use Monolog\Handler\NullHandler;
use Monolog\Handler\RotatingFileHandler;

class Logger extends \Monolog\Logger
{

    public function __construct($logFile, $maxFiles = 14, $level = \Monolog\Logger::DEBUG, $name = 'App')
    {
        parent::__construct($name);

        if (!$logFile) {
            $handler = new NullHandler();
        } else {
            $formatter = new LineFormatter(null, null, true, true);
            $handler = new RotatingFileHandler($logFile, $maxFiles, $level);
            $handler->setFormatter($formatter);
        }
        $this->pushHandler($handler);
    }

}