<?php
/**
 * SkeletonCart
 * (c) 2017-2023 Juxtaposition Inc. All Rights Reserved.
 * (c) 2017-2023 Curlybracket, Inc. All Rights Reserved.
 * This code cannot be redistributed without permission from the copyright holder.
 * For more information, consult your SkeletonCart license.
 **/

namespace App\Service;

class Cart
{
    public function checkCart()
    {
        $cart = \App::cart();
        $cart->isValid();
        $cart->save(\App::session());
    }

    public function addItem($params, $check = false)
    {
        if (empty($params)) {
            throw new \UnexpectedValueException('Missing argument');
        }

        $item = \App::item()->find($params['id']);
        if ($item === false) {
            throw new \App\ItemNotFoundException('商品ID:' . $params['id'] . 'が見つかりません。');
        }

        $props = $item->getProperties();
        $props = array_merge($params, $props);
        $cartItem = \App::cartItem(true);
        $cartItem->setProperties($props);

        $cart = \App::cart();
        $cart->addItem($cartItem, $check);
        $cart->save(\App::session());
    }

    public function removeItem($params)
    {
        if (empty($params)) {
            throw new \UnexpectedValueException('Missing argument');
        }

        $cart = \App::cart();
        // FIXME: ignore returned item
        $item = $cart->removeItemByIndex($params['index']);
        $cart->save(\App::session());
    }

    public function updateItem($params, $check = false)
    {
        if (empty($params)) {
            throw new \UnexpectedValueException('Missing argument');
        }

        $cart = \App::cart();
        $cart->updateItemByIndex($params['index'], $params['amount'], $check);
        $cart->save(\App::session());
    }

    public function totalAmount() {
        $cart = \App::cart();
        return $cart->totalAmount();
    }
}

